package com.sw.mes.agv.service.impl;

import com.sw.mes.agv.dao.RechargeArtBagItemRecordDao;
import com.sw.mes.agv.entity.RechargeArtBagItemRecord;
import com.sw.mes.agv.service.RechargeArtBagItemRecordService;
import com.sw.mes.core.base.BaseServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class RechargeArtBagItemRecordServiceImpl extends BaseServiceImpl<RechargeArtBagItemRecord> implements RechargeArtBagItemRecordService {

    RechargeArtBagItemRecordDao dao;

    @Autowired
    public void setDao(RechargeArtBagItemRecordDao dao) {
        super.setBaseDao(dao);
        this.dao = dao;
    }

    @Override
    public List<RechargeArtBagItemRecord> findByRechargeIds(List<Long> rechargeIds) {
        return dao.findByRechargeIds(rechargeIds);
    }

    @Override
    public List<RechargeArtBagItemRecord> findByRechargeId(Long rechargeId) {
        return dao.findByRechargeId(rechargeId);
    }

    @Override
    public void saveAll(List<RechargeArtBagItemRecord> records) {
        dao.saveAll(records);
    }

}
